module count(inc, rst, clk, data);

    input inc, rst, clk;
    output [7:0] data;

    integer cnt;

    task increment;
        begin
            cnt = cnt + 1;
            if(cnt == 8) begin
                cnt <= 0;
            end
        end
    endtask

    task reset;
        begin
            cnt = 0;
        end
    endtask

    initial
        begin
            reset;
        end

    always @(posedge clk)
        begin
            if(inc) begin
                increment;
            end
        end

    always @(posedge clk)
        begin
            if(rst) begin
                reset;
            end
        end

    assign data = cnt;
    
endmodule // module count
