/********** AJAX **********/

function call( request, callback, data )
{
    $(document).ready(function() {
        $.ajax( { type:"GET"
                , async: true
                , url: request
                , data: data
                , dataType: "json"
                , jsonp: "unitesk"
                , success: callback
                }
        );
    });
}

function getCheckedRows( table )
{
    return $( "input:checked", table ).parent().parent();
}

function addRow( constructorRow )
{
    var newRow = constructorRow.clone();
    $( "td.checkbox-column input", newRow ).removeAttr( "disabled" );
    var hintCell = $( "td.hint", newRow ).unbind("click").removeClass( "hint" ).empty();
    newRow.removeClass( "constructor-row" ).insertBefore( constructorRow );
    return newRow;
}

function propNames( obj )
{
    if( !obj ) return "obj is undefined";
    var s = "/*" + obj.toString() + ":*/\n{";
    var comma = false;
    for( p in obj ) {
        if( comma ) s += ",";
        comma = true;
        s += "\n\t" + p + "=" + obj[p];
    }
    s += "\n}";
    return s;
}

function inspect( obj ) 
{
    alert( propNames( obj ) );
}
